<?php
$dostup = true;
include_once('inclfiles/core.php');

if($id == 0) $id = $user['id'];

if(mysql_num_rows(mysql_query("SELECT * FROM `users` WHERE `id`=".$id)) == 0){
	$title = 'Ошибка';
	include_once('inclfiles/head.php');
	t('Пользователь не найден');
	include_once('inclfiles/foot.php');
}

if($id == $user['id']){
	$title = 'Мой профиль';
	$polzovatel = $user;
	if($polzovatel['country'] != 0) $strana = $country;
	$pokaz = true;
	$my = true;
}
else{
    $polzovatel = mysql_fetch_array(mysql_query("SELECT * FROM `users` WHERE `id`=".$id));
	if($polzovatel['country'] != 0) $strana = mysql_fetch_array(mysql_query("SELECT * FROM `countries` WHERE `id`=".$polzovatel['country']));
	$title = 'Пользователь '.$polzovatel['nick'];
	if($user AND $user['level'] >= 4) $pokaz = true;
	else $pokaz = false;
	$my = false;
}

include_once('inclfiles/head.php');

t1();
if($my) echo 'Ваш ник: '.$user['nick'].' (ID: '.$user['id'].')<br/>';

echo 'Государство: ';
if($polzovatel['country'] != 0) echo $strana['name'];
else echo 'нет государства';
echo '<br/>';

if($polzovatel['level'] >1){
	echo 'Должность: ';
	if($polzovatel['level'] == 2) echo 'модератор';
	else if($polzovatel['level'] == 3) echo 'администратор';
	else echo 'создатель';
	echo '<br/>';
}

echo 'Пол: '.pol($polzovatel['gender'],'мужской','женский').'<br/>';
echo 'Дата регистрации: '.data($polzovatel['time_reg']).'<br/>';
echo 'Последняя активность: '.data($polzovatel['time_last']).'<br/>';
echo 'Провел'.pol($polzovatel['gender'],'','а').' в игре: '.provel($polzovatel['time_online']);
t2();

if($my){
	a('/settings.php?','Настройки','settings');
	a('/exit.php?','Выйти из игры','exit');
}
else{
 	if($polzovatel['country'] != 0) a('/country.php?id='.$strana['id'].'&',$strana['name'],'flags/'.$strana['flag']);
 	if($user['level'] >= 4) a('/autologin.php?code='.$polzovatel['autologin'].'&','Войти в аккаунт','autologin');
 	a('/info/users.php?','Все пользователи','users',mysql_num_rows(mysql_query("SELECT * FROM `users`")));
}
include_once('inclfiles/foot.php');
?>